Name:           alglib
Version:        4.00.0
Release:    1%{?dist}
Summary:        A numerical analysis and data processing library

License:        GPLv2+
URL:            http://www.alglib.net/
Source0:        http://www.alglib.net/translator/re/%{name}-%{version}.cpp.gpl.tgz
Source1:        CMakeLists.txt
Source2:        bsd.txt

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  make

%description
ALGLIB is a cross-platform numerical analysis and data processing library.
ALGLIB features include:
 - Data analysis (classification/regression, including neural networks)
 - Optimization and nonlinear solvers
 - Interpolation and linear/nonlinear least-squares fitting
 - Linear algebra (direct algorithms, EVD/SVD), direct and iterative linear
   solvers, Fast Fourier Transform and many other algorithms (numerical
   integration, ODEs, statistics, special functions)



%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        API documentation for %{name}
License:        BSD
BuildArch:      noarch

%description    doc
The %{name}-doc package contains the %{name} API documentation.


%prep
%autosetup -p1 -n %{name}-cpp
cp %{SOURCE1} .
cp %{SOURCE2} .

chmod 644 gpl2.txt
chmod 644 manual.cpp.html
sed -i 's|\r||g' manual.cpp.html


%build
%cmake -DALGLIB_VERSION=%{version}
%cmake_build


%install
%cmake_install
ln -s libalglib-%{version}.so %{buildroot}%{_libdir}/libalglib.so


%check
pushd %{_vpath_builddir}
LD_LIBRARY_PATH=$PWD ./test_c
LD_LIBRARY_PATH=$PWD ./test_i
popd


%files
%license gpl2.txt
%{_libdir}/libalglib-4.00.0.so

%files devel
%{_includedir}/%{name}/
%{_libdir}/libalglib.so

%files doc
%license bsd.txt
%doc manual.cpp.html


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.00.0-1
- initial build
